Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 229148

Summary: CVE-2007-1462 security alert - passwords sent back from server as input value
Product: [Retired] Red Hat Cluster Suite Reporter: Ryan McCabe <rmccabe>
Component: congaAssignee: Ryan McCabe <rmccabe>
Status: CLOSED CURRENTRELEASE QA Contact: Corey Marthaler <cmarthal>
Severity: medium Docs Contact:
Priority: medium    
Version: 4CC: cluster-maint, kanderso, kupcevic, rkenna, rmccabe
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,source=redhat,reported=20070212,public=20070213
Fixed In Version: 4.5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-08-09 22:33:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ryan McCabe 2007-02-18 17:42:40 UTC
+++ This bug was initially created as a clone of Bug #228637 +++

The password for the remote system(s) is persisted between two page loads in
the Add System/Cluster task flow. If it were persisted in the server session it
would not be a problem, but instead it it is returned to the browser as a
'Value' attribute in a password entry field widget. This means that if the user
were to 'View Source', the password would appear as plaintext in the html.

NOTE: All luci interaction is done via HTTPS; still this does present a remote,
but possible means of exploit.

-- Additional comment from jparsons@redhat.com on 2007-02-13 22:54 EST --
Created an attachment (id=148037)
copy of letter sent to security response team


-- Additional comment from mjc@redhat.com on 2007-02-14 09:31 EST --
This is an issue that would require quite unlikely circumstances to exploit
(user walks away, works offline) and is mitigated from a man-in-the-middle by
SSL, so I'd rate this as having low security impact. 
http://www.redhat.com/security/updates/classification/

-- Additional comment from rkenna@redhat.com on 2007-02-14 10:05 EST --
Ack for 5.1 train.

Comment 1 Rob Kenna 2007-02-22 23:02:53 UTC
pm-ack for 4.6.

Comment 2 Ryan McCabe 2007-06-06 15:20:59 UTC
This fix is already in the 4.5 release.